Package org.jbpm.examples.checklist.impl

## Class DefaultChecklistManager

- java.lang.Object
- - org.jbpm.examples.checklist.impl.DefaultChecklistManager

- All Implemented Interfaces:
    `ChecklistManager`

      public class DefaultChecklistManager
      extends Object
      implements ChecklistManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultChecklistManager​(org.kie.api.runtime.manager.RuntimeEnvironment environment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abortTask​(String userId, long taskId)` |
    `ChecklistItem` | `addTask​(String userId, String[] actorIds, String[] groupIds, String name, String orderingId, long processInstanceId)` |
    `void` | `claimTask​(String userId, long taskId)` |
    `void` | `completeTask​(String userId, long taskId)` |
    `long` | `createContext​(String name, String userId)` |
    `List<ChecklistContext>` | `getContexts()` |
    `protected org.kie.api.runtime.manager.RuntimeEngine` | `getRuntime()` |
    `List<ChecklistItem>` | `getTasks​(long processInstanceId)` |
    `List<ChecklistItem>` | `getTasks​(long processInstanceId, List<ChecklistContextConstraint> contexts)` |
    `void` | `releaseTask​(String userId, long taskId)` |
    `void` | `selectOptionalTask​(String taskName, long processInstanceId)` |
    `void` | `updateTaskDescription​(long taskId, String description)` |
    `void` | `updateTaskName​(long taskId, String name)` |
    `void` | `updateTaskPotentialOwners​(long taskId, List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)` |
    `void` | `updateTaskPriority​(long taskId, int priority)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultChecklistManager

          public DefaultChecklistManager​(org.kie.api.runtime.manager.RuntimeEnvironment environment)

  - ### Method Detail

    - #### getContexts

          public List<ChecklistContext> getContexts()

      Specified by:
        `getContexts` in interface `ChecklistManager`

    - #### createContext

          public long createContext​(String name,
                                    String userId)

      Specified by:
        `createContext` in interface `ChecklistManager`

    - #### getTasks

          public List<ChecklistItem> getTasks​(long processInstanceId,
                                              List<ChecklistContextConstraint> contexts)

      Specified by:
        `getTasks` in interface `ChecklistManager`

    - #### getTasks

          public List<ChecklistItem> getTasks​(long processInstanceId)

    - #### addTask

          public ChecklistItem addTask​(String userId,
                                       String[] actorIds,
                                       String[] groupIds,
                                       String name,
                                       String orderingId,
                                       long processInstanceId)

      Specified by:
        `addTask` in interface `ChecklistManager`

    - #### updateTaskName

          public void updateTaskName​(long taskId,
                                     String name)

      Specified by:
        `updateTaskName` in interface `ChecklistManager`

    - #### updateTaskDescription

          public void updateTaskDescription​(long taskId,
                                            String description)

      Specified by:
        `updateTaskDescription` in interface `ChecklistManager`

    - #### updateTaskPriority

          public void updateTaskPriority​(long taskId,
                                         int priority)

      Specified by:
        `updateTaskPriority` in interface `ChecklistManager`

    - #### updateTaskPotentialOwners

          public void updateTaskPotentialOwners​(long taskId,
                                                List<org.kie.api.task.model.OrganizationalEntity> potentialOwners)

      Specified by:
        `updateTaskPotentialOwners` in interface `ChecklistManager`

    - #### claimTask

          public void claimTask​(String userId,
                                long taskId)

      Specified by:
        `claimTask` in interface `ChecklistManager`

    - #### releaseTask

          public void releaseTask​(String userId,
                                  long taskId)

      Specified by:
        `releaseTask` in interface `ChecklistManager`

    - #### completeTask

          public void completeTask​(String userId,
                                   long taskId)

      Specified by:
        `completeTask` in interface `ChecklistManager`

    - #### abortTask

          public void abortTask​(String userId,
                                long taskId)

      Specified by:
        `abortTask` in interface `ChecklistManager`

    - #### selectOptionalTask

          public void selectOptionalTask​(String taskName,
                                         long processInstanceId)

      Specified by:
        `selectOptionalTask` in interface `ChecklistManager`

    - #### getRuntime

          protected org.kie.api.runtime.manager.RuntimeEngine getRuntime()